Bug 1771231 - [RFE] Add support for vNIC profiles in RHV compute resource
Summary: [RFE] Add support for vNIC profiles in RHV compute resource
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Compute Resources - RHEV
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: 6.10.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-12 02:20 UTC by Alexey Masolov
Modified: 2021-11-16 14:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:08:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30834 0 Normal Closed Add support for vNIC profiles in RHV compute resource 2021-02-01 17:36:50 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:08:59 UTC

Description Alexey Masolov 2019-11-12 02:20:16 UTC
Description of problem:

At the moment Satellite 6 is not able to configure a vNIC profile for a VM on RHV. It leads to a situation when RHV picks up the first available profile and applies wrong settings to a network interface. 

Expected results:
Users should be able to choose a vNIC profile for an interface in the same way as they can choose a virtual RHV network in Satellite WebUI.

Comment 3 Shira Maximov 2020-09-14 11:33:53 UTC
Created redmine issue https://projects.theforeman.org/issues/30834 from this bug

Comment 4 Bryan Kearney 2020-12-03 12:03:24 UTC
Upstream bug assigned to mshira@redhat.com

Comment 5 Bryan Kearney 2020-12-03 12:03:28 UTC
Upstream bug assigned to mshira@redhat.com

Comment 6 Bryan Kearney 2021-01-31 06:52:11 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30834 has been resolved.

Comment 8 Lukáš Hellebrandt 2021-07-14 15:12:40 UTC
Verified with Sat 6.10.0 snap 7.0.

Created a VM on RHEV CR and specified vNIC in 1) compute profile and 2) host create form. In both cases, the VM was created with a correct vNIC.

Comment 11 errata-xmlrpc 2021-11-16 14:08:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.